Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.datatransfer
Class TextTransfer

    java.lang.Object
      dioscuri.datatransfer.TextTransfer

All Implemented Interfaces:
  java.awt.datatransfer.ClipboardOwner

    public final class TextTransfer

extends java.lang.Object
implements java.awt.datatransfer.ClipboardOwner

This class allows data transfer via the clipboard to and from the emulator

Constructor Summary
`TextTransfer(GUI parent)`

Method Summary
`java.lang.String` | `getClipboardContents()` Get String in clipboard.
`void` | `lostOwnership(java.awt.datatransfer.Clipboard aClipboard, java.awt.datatransfer.Transferable aContents)` Empty implementation of the ClipboardOwner interface.
`void` | `setClipboardContents(java.lang.String text)` Set String on clipboard, and make this class the owner of the Clipboard's contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextTransfer

    public TextTransfer(GUI parent)

Parameters:
  `parent` -

Method Detail

### lostOwnership

    public void lostOwnership(java.awt.datatransfer.Clipboard aClipboard,
                              java.awt.datatransfer.Transferable aContents)

  Empty implementation of the ClipboardOwner interface.

  Specified by:
    `lostOwnership` in interface `java.awt.datatransfer.ClipboardOwner`
  Parameters:
    `aClipboard` -
    `aContents` -

### setClipboardContents

    public void setClipboardContents(java.lang.String text)

  Set String on clipboard, and make this class the owner of the Clipboard's contents.

  Parameters:
    `text` -

### getClipboardContents

    public java.lang.String getClipboardContents()

  Get String in clipboard.

  Returns:
    any text found on the Clipboard; if none found, return an empty String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD